DevExtreme v26.1 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

JavaScript/jQuery Scheduler - Appointment Count per Cell

This demo shows how to use the maxAppointmentsPerCell property to limit the number of full-sized appointments displayed per cell.

Backend API
$(() => { $('#scheduler').dxScheduler({ timeZone: 'America/Los_Angeles', dataSource: data, views: [{ type: 'month', name: 'Auto Mode', maxAppointmentsPerCell: 'auto', }, { type: 'month', name: 'Unlimited Mode', maxAppointmentsPerCell: 'unlimited', }, { type: 'month', name: 'Numeric Mode', maxAppointmentsPerCell: 2, }], currentView: 'Auto Mode', currentDate: new Date(2021, 2, 25), resources: [{ fieldExpr: 'roomId', dataSource: resourcesData, label: 'Room', icon: 'conferenceroomoutline', }], height: 730, }).dxScheduler('instance'); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" /> <script src="js/dx.all.js?v=26.1.4"></script> <script src="data.js"></script> <script src="index.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="scheduler"></div> </div> </body> </html>
const data = [ { text: 'Google AdWords Strategy', roomId: 1, startDate: new Date('2021-03-05T16:00:00.000Z'), endDate: new Date('2021-03-05T17:30:00.000Z'), }, { text: 'New Brochures', roomId: 5, startDate: new Date('2021-03-05T18:30:00.000Z'), endDate: new Date('2021-03-05T21:15:00.000Z'), }, { text: 'Brochure Design Review', roomId: 5, startDate: new Date('2021-03-05T20:15:00.000Z'), endDate: new Date('2021-03-05T23:15:00.000Z'), }, { text: 'Website Re-Design Plan', roomId: 5, startDate: new Date('2021-03-05T23:45:00.000Z'), endDate: new Date('2021-03-05T18:15:00.000Z'), }, { text: 'Rollout of New Website and Marketing Brochures', roomId: 2, startDate: new Date('2021-03-09T15:15:00.000Z'), endDate: new Date('2021-03-09T17:45:00.000Z'), }, { text: 'Update Sales Strategy Documents', roomId: 3, startDate: new Date('2021-03-09T19:00:00.000Z'), endDate: new Date('2021-03-09T20:45:00.000Z'), }, { text: 'Non-Compete Agreements', roomId: 3, startDate: new Date('2021-03-09T15:15:00.000Z'), endDate: new Date('2021-03-09T16:00:00.000Z'), }, { text: 'Update NDA Agreement', roomId: 1, startDate: new Date('2021-03-10T18:45:00.000Z'), endDate: new Date('2021-03-10T20:45:00.000Z'), }, { text: 'Update Employee Files with New NDA', roomId: 4, startDate: new Date('2021-03-18T21:00:00.000Z'), endDate: new Date('2021-03-18T23:45:00.000Z'), }, { text: 'Submit Questions Regarding New NDA', roomId: 4, startDate: new Date('2021-03-18T15:00:00.000Z'), endDate: new Date('2021-03-18T16:30:00.000Z'), }, { text: 'Submit Signed NDA', roomId: 4, startDate: new Date('2021-03-18T19:45:00.000Z'), endDate: new Date('2021-03-18T21:00:00.000Z'), }, { text: 'Review Revenue Projections', roomId: 4, startDate: new Date('2021-03-26T00:15:00.000Z'), endDate: new Date('2021-03-26T01:00:00.000Z'), }, { text: 'Comment on Revenue Projections', roomId: 1, startDate: new Date('2021-03-22T16:15:00.000Z'), endDate: new Date('2021-03-22T18:15:00.000Z'), }, { text: 'Provide New Health Insurance Docs', roomId: 4, startDate: new Date('2021-03-22T19:45:00.000Z'), endDate: new Date('2021-03-22T21:15:00.000Z'), }, { text: 'Review Changes to Health Insurance Coverage', roomId: 4, startDate: new Date('2021-03-25T21:15:00.000Z'), endDate: new Date('2021-03-25T22:30:00.000Z'), }, { text: 'Review Training Course for any Omissions', roomId: 4, startDate: new Date('2021-03-22T21:00:00.000Z'), endDate: new Date('2021-03-22T19:00:00.000Z'), }, { text: 'Recall Rebate Form', roomId: 2, startDate: new Date('2021-03-23T19:45:00.000Z'), endDate: new Date('2021-03-23T20:15:00.000Z'), }, { text: 'Create Report on Customer Feedback', roomId: 3, startDate: new Date('2021-03-23T22:15:00.000Z'), endDate: new Date('2021-03-24T00:30:00.000Z'), }, { text: 'Review Customer Feedback Report', roomId: 3, startDate: new Date('2021-03-17T23:15:00.000Z'), endDate: new Date('2021-03-18T01:30:00.000Z'), }, { text: 'Customer Feedback Report Analysis', roomId: 3, startDate: new Date('2021-03-17T16:30:00.000Z'), endDate: new Date('2021-03-17T17:30:00.000Z'), }, { text: 'Prepare Shipping Cost Analysis Report', roomId: 3, startDate: new Date('2021-03-23T19:30:00.000Z'), endDate: new Date('2021-03-23T20:30:00.000Z'), }, { text: 'Provide Feedback on Shippers', roomId: 3, startDate: new Date('2021-03-23T21:15:00.000Z'), endDate: new Date('2021-03-23T23:00:00.000Z'), }, { text: 'Select Preferred Shipper', roomId: 1, startDate: new Date('2021-03-27T00:30:00.000Z'), endDate: new Date('2021-03-27T03:00:00.000Z'), }, { text: 'Complete Shipper Selection Form', roomId: 5, startDate: new Date('2021-03-25T15:30:00.000Z'), endDate: new Date('2021-03-25T17:00:00.000Z'), }, { text: 'Upgrade Server Hardware', roomId: 5, startDate: new Date('2021-03-26T19:00:00.000Z'), endDate: new Date('2021-03-26T21:15:00.000Z'), }, { text: 'Upgrade Personal Computers', roomId: 5, startDate: new Date('2021-03-26T21:45:00.000Z'), endDate: new Date('2021-03-26T23:30:00.000Z'), }, ]; const resourcesData = [ { text: 'Room 401', id: 1, color: '#1564C0', }, { text: 'Room 402', id: 2, color: '#C2185B', }, { text: 'Room 403', id: 3, color: '#7B1FA2', }, { text: 'Room 407', id: 4, color: '#DD2C00', }, { text: 'Room 409', id: 5, color: '#2E7D32', }, ];

This property accepts one of the following values. To see how they affect the appointments, switch between JavaScript Scheduler views.

  • "auto"
    Appointments are narrowed down to a predefined size value that depends on the view type. Appointments that do not fit into the cell are hidden, and the cell displays an overflow indicator. Users can click the indicator to display the hidden appointments in a tooltip.

  • "unlimited"
    Appointments are narrowed down without a limit to be fit into a cell.

  • Number
    The number specifies the maximum number of appointments allowed in a single cell. Appointments that exceed this number are hidden, and the cell displays an overflow indicator. Users can click the indicator to display the hidden appointments in a tooltip.

<template>
<div>
<DxScheduler
time-zone="America/Los_Angeles"
:data-source="dataSource"
:current-date="currentDate"
:height="730"
current-view="month"
>
<DxResource
:data-source="resourcesData"
field-expr="roomId"
label="Room"
icon="conferenceroomoutline"
/>
<DxView
type="month"
name="Auto Mode"
max-appointments-per-cell="auto"
/>
<DxView
type="month"
name="Unlimited Mode"
max-appointments-per-cell="unlimited"
/>
<DxView
:max-appointments-per-cell="2"
type="month"
name="Numeric Mode"
/>
</DxScheduler>
</div>
</template>
<script setup lang="ts">
import DxScheduler, { DxResource, DxView } from 'devextreme-vue/scheduler';
import { resourcesData, data } from './data.ts';
const currentDate = new Date(2021, 2, 25);
const dataSource = data;
</script>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const data = [
{
text: 'Google AdWords Strategy',
roomId: 1,
startDate: new Date('2021-03-05T16:00:00.000Z'),
endDate: new Date('2021-03-05T17:30:00.000Z'),
}, {
text: 'New Brochures',
roomId: 5,
startDate: new Date('2021-03-05T18:30:00.000Z'),
endDate: new Date('2021-03-05T21:15:00.000Z'),
}, {
text: 'Brochure Design Review',
roomId: 5,
startDate: new Date('2021-03-05T20:15:00.000Z'),
endDate: new Date('2021-03-05T23:15:00.000Z'),
}, {
text: 'Website Re-Design Plan',
roomId: 5,
startDate: new Date('2021-03-05T23:45:00.000Z'),
endDate: new Date('2021-03-05T18:15:00.000Z'),
}, {
text: 'Rollout of New Website and Marketing Brochures',
roomId: 2,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T17:45:00.000Z'),
}, {
text: 'Update Sales Strategy Documents',
roomId: 3,
startDate: new Date('2021-03-09T19:00:00.000Z'),
endDate: new Date('2021-03-09T20:45:00.000Z'),
}, {
text: 'Non-Compete Agreements',
roomId: 3,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T16:00:00.000Z'),
}, {
text: 'Update NDA Agreement',
roomId: 1,
startDate: new Date('2021-03-10T18:45:00.000Z'),
endDate: new Date('2021-03-10T20:45:00.000Z'),
}, {
text: 'Update Employee Files with New NDA',
roomId: 4,
startDate: new Date('2021-03-18T21:00:00.000Z'),
endDate: new Date('2021-03-18T23:45:00.000Z'),
}, {
text: 'Submit Questions Regarding New NDA',
roomId: 4,
startDate: new Date('2021-03-18T15:00:00.000Z'),
endDate: new Date('2021-03-18T16:30:00.000Z'),
}, {
text: 'Submit Signed NDA',
roomId: 4,
startDate: new Date('2021-03-18T19:45:00.000Z'),
endDate: new Date('2021-03-18T21:00:00.000Z'),
}, {
text: 'Review Revenue Projections',
roomId: 4,
startDate: new Date('2021-03-26T00:15:00.000Z'),
endDate: new Date('2021-03-26T01:00:00.000Z'),
}, {
text: 'Comment on Revenue Projections',
roomId: 1,
startDate: new Date('2021-03-22T16:15:00.000Z'),
endDate: new Date('2021-03-22T18:15:00.000Z'),
}, {
text: 'Provide New Health Insurance Docs',
roomId: 4,
startDate: new Date('2021-03-22T19:45:00.000Z'),
endDate: new Date('2021-03-22T21:15:00.000Z'),
}, {
text: 'Review Changes to Health Insurance Coverage',
roomId: 4,
startDate: new Date('2021-03-25T21:15:00.000Z'),
endDate: new Date('2021-03-25T22:30:00.000Z'),
}, {
text: 'Review Training Course for any Omissions',
roomId: 4,
startDate: new Date('2021-03-22T21:00:00.000Z'),
endDate: new Date('2021-03-22T19:00:00.000Z'),
}, {
text: 'Recall Rebate Form',
roomId: 2,
startDate: new Date('2021-03-23T19:45:00.000Z'),
endDate: new Date('2021-03-23T20:15:00.000Z'),
}, {
text: 'Create Report on Customer Feedback',
roomId: 3,
startDate: new Date('2021-03-23T22:15:00.000Z'),
endDate: new Date('2021-03-24T00:30:00.000Z'),
}, {
text: 'Review Customer Feedback Report',
roomId: 3,
startDate: new Date('2021-03-17T23:15:00.000Z'),
endDate: new Date('2021-03-18T01:30:00.000Z'),
}, {
text: 'Customer Feedback Report Analysis',
roomId: 3,
startDate: new Date('2021-03-17T16:30:00.000Z'),
endDate: new Date('2021-03-17T17:30:00.000Z'),
}, {
text: 'Prepare Shipping Cost Analysis Report',
roomId: 3,
startDate: new Date('2021-03-23T19:30:00.000Z'),
endDate: new Date('2021-03-23T20:30:00.000Z'),
}, {
text: 'Provide Feedback on Shippers',
roomId: 3,
startDate: new Date('2021-03-23T21:15:00.000Z'),
endDate: new Date('2021-03-23T23:00:00.000Z'),
}, {
text: 'Select Preferred Shipper',
roomId: 1,
startDate: new Date('2021-03-27T00:30:00.000Z'),
endDate: new Date('2021-03-27T03:00:00.000Z'),
}, {
text: 'Complete Shipper Selection Form',
roomId: 5,
startDate: new Date('2021-03-25T15:30:00.000Z'),
endDate: new Date('2021-03-25T17:00:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
roomId: 5,
startDate: new Date('2021-03-26T19:00:00.000Z'),
endDate: new Date('2021-03-26T21:15:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
roomId: 5,
startDate: new Date('2021-03-26T21:45:00.000Z'),
endDate: new Date('2021-03-26T23:30:00.000Z'),
},
];
export const resourcesData = [
{
text: 'Room 401',
id: 1,
color: '#1564C0',
}, {
text: 'Room 402',
id: 2,
color: '#C2185B',
}, {
text: 'Room 403',
id: 3,
color: '#7B1FA2',
}, {
text: 'Room 407',
id: 4,
color: '#DD2C00',
}, {
text: 'Room 409',
id: 5,
color: '#2E7D32',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

<dx-scheduler
timeZone="America/Los_Angeles"
[dataSource]="appointmentsData"
currentView="Auto Mode"
[currentDate]="currentDate"
[height]="730"
>
<dxi-scheduler-view
name="Auto Mode"
type="month"
maxAppointmentsPerCell="auto"
>
</dxi-scheduler-view>
<dxi-scheduler-view
name="Unlimited Mode"
type="month"
maxAppointmentsPerCell="unlimited"
>
</dxi-scheduler-view>
<dxi-scheduler-view
name="Numeric Mode"
type="month"
[maxAppointmentsPerCell]="2"
>
</dxi-scheduler-view>
<dxi-scheduler-resource
fieldExpr="roomId"
label="room"
[dataSource]="resourcesData"
icon="conferenceroomoutline"
></dxi-scheduler-resource>
</dx-scheduler>
import { bootstrapApplication } from '@angular/platform-browser';
import { ViewChild, Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxSchedulerModule, DxSchedulerComponent } from 'devextreme-angular';
import { Appointment, Resource, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
styleUrls: [`app/app.component.css`],
selector: 'demo-app',
templateUrl: `app/app.component.html`,
providers: [Service],
imports: [
DxSchedulerModule,
],
})
export class AppComponent {
@ViewChild(DxSchedulerComponent, { static: false }) scheduler: DxSchedulerComponent;
appointmentsData: Appointment[];
currentDate: Date = new Date(2021, 2, 25);
resourcesData: Resource[];
constructor(service: Service) {
this.appointmentsData = service.getAppointments();
this.resourcesData = service.getResources();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
import { Injectable } from '@angular/core';
export class Appointment {
text: string;
roomId: number;
startDate: Date;
endDate: Date;
}
export class Resource {
text: string;
id: number;
color: string;
}
const appointments: Appointment[] = [
{
text: 'Google AdWords Strategy',
roomId: 1,
startDate: new Date('2021-03-05T16:00:00.000Z'),
endDate: new Date('2021-03-05T17:30:00.000Z'),
}, {
text: 'New Brochures',
roomId: 5,
startDate: new Date('2021-03-05T18:30:00.000Z'),
endDate: new Date('2021-03-05T21:15:00.000Z'),
}, {
text: 'Brochure Design Review',
roomId: 5,
startDate: new Date('2021-03-05T20:15:00.000Z'),
endDate: new Date('2021-03-05T23:15:00.000Z'),
}, {
text: 'Website Re-Design Plan',
roomId: 5,
startDate: new Date('2021-03-05T23:45:00.000Z'),
endDate: new Date('2021-03-05T18:15:00.000Z'),
}, {
text: 'Rollout of New Website and Marketing Brochures',
roomId: 2,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T17:45:00.000Z'),
}, {
text: 'Update Sales Strategy Documents',
roomId: 3,
startDate: new Date('2021-03-09T19:00:00.000Z'),
endDate: new Date('2021-03-09T20:45:00.000Z'),
}, {
text: 'Non-Compete Agreements',
roomId: 3,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T16:00:00.000Z'),
}, {
text: 'Update NDA Agreement',
roomId: 1,
startDate: new Date('2021-03-10T18:45:00.000Z'),
endDate: new Date('2021-03-10T20:45:00.000Z'),
}, {
text: 'Update Employee Files with New NDA',
roomId: 4,
startDate: new Date('2021-03-18T21:00:00.000Z'),
endDate: new Date('2021-03-18T23:45:00.000Z'),
}, {
text: 'Submit Questions Regarding New NDA',
roomId: 4,
startDate: new Date('2021-03-18T15:00:00.000Z'),
endDate: new Date('2021-03-18T16:30:00.000Z'),
}, {
text: 'Submit Signed NDA',
roomId: 4,
startDate: new Date('2021-03-18T19:45:00.000Z'),
endDate: new Date('2021-03-18T21:00:00.000Z'),
}, {
text: 'Review Revenue Projections',
roomId: 4,
startDate: new Date('2021-03-26T00:15:00.000Z'),
endDate: new Date('2021-03-26T01:00:00.000Z'),
}, {
text: 'Comment on Revenue Projections',
roomId: 1,
startDate: new Date('2021-03-22T16:15:00.000Z'),
endDate: new Date('2021-03-22T18:15:00.000Z'),
}, {
text: 'Provide New Health Insurance Docs',
roomId: 4,
startDate: new Date('2021-03-22T19:45:00.000Z'),
endDate: new Date('2021-03-22T21:15:00.000Z'),
}, {
text: 'Review Changes to Health Insurance Coverage',
roomId: 4,
startDate: new Date('2021-03-25T21:15:00.000Z'),
endDate: new Date('2021-03-25T22:30:00.000Z'),
}, {
text: 'Review Training Course for any Omissions',
roomId: 4,
startDate: new Date('2021-03-22T21:00:00.000Z'),
endDate: new Date('2021-03-22T19:00:00.000Z'),
}, {
text: 'Recall Rebate Form',
roomId: 2,
startDate: new Date('2021-03-23T19:45:00.000Z'),
endDate: new Date('2021-03-23T20:15:00.000Z'),
}, {
text: 'Create Report on Customer Feedback',
roomId: 3,
startDate: new Date('2021-03-23T22:15:00.000Z'),
endDate: new Date('2021-03-24T00:30:00.000Z'),
}, {
text: 'Review Customer Feedback Report',
roomId: 3,
startDate: new Date('2021-03-17T23:15:00.000Z'),
endDate: new Date('2021-03-18T01:30:00.000Z'),
}, {
text: 'Customer Feedback Report Analysis',
roomId: 3,
startDate: new Date('2021-03-17T16:30:00.000Z'),
endDate: new Date('2021-03-17T17:30:00.000Z'),
}, {
text: 'Prepare Shipping Cost Analysis Report',
roomId: 3,
startDate: new Date('2021-03-23T19:30:00.000Z'),
endDate: new Date('2021-03-23T20:30:00.000Z'),
}, {
text: 'Provide Feedback on Shippers',
roomId: 3,
startDate: new Date('2021-03-23T21:15:00.000Z'),
endDate: new Date('2021-03-23T23:00:00.000Z'),
}, {
text: 'Select Preferred Shipper',
roomId: 1,
startDate: new Date('2021-03-27T00:30:00.000Z'),
endDate: new Date('2021-03-27T03:00:00.000Z'),
}, {
text: 'Complete Shipper Selection Form',
roomId: 5,
startDate: new Date('2021-03-25T15:30:00.000Z'),
endDate: new Date('2021-03-25T17:00:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
roomId: 5,
startDate: new Date('2021-03-26T19:00:00.000Z'),
endDate: new Date('2021-03-26T21:15:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
roomId: 5,
startDate: new Date('2021-03-26T21:45:00.000Z'),
endDate: new Date('2021-03-26T23:30:00.000Z'),
},
];
const resources: Resource[] = [
{
text: 'Room 401',
id: 1,
color: '#1564C0',
}, {
text: 'Room 402',
id: 2,
color: '#C2185B',
}, {
text: 'Room 403',
id: 3,
color: '#7B1FA2',
}, {
text: 'Room 407',
id: 4,
color: '#DD2C00',
}, {
text: 'Room 409',
id: 5,
color: '#2E7D32',
},
];
@Injectable()
export class Service {
getAppointments(): Appointment[] {
return appointments;
}
getResources(): Resource[] {
return resources;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import Scheduler, { Resource } from 'devextreme-react/scheduler';
import type { SchedulerTypes } from 'devextreme-react/scheduler';
import { data, resourcesData } from './data.ts';
const currentDate = new Date(2021, 2, 25);
const views: SchedulerTypes.Properties['views'] = [{
type: 'month',
name: 'Auto Mode',
maxAppointmentsPerCell: 'auto',
}, {
type: 'month',
name: 'Unlimited Mode',
maxAppointmentsPerCell: 'unlimited',
}, {
type: 'month',
name: 'Numeric Mode',
maxAppointmentsPerCell: 2,
}];
const App = () => (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="Auto Mode"
defaultCurrentDate={currentDate}
height={730}
>
<Resource
dataSource={resourcesData}
fieldExpr="roomId"
label="Room"
icon="conferenceroomoutline"
/>
</Scheduler>
);
export default App;
import React from 'react';
import Scheduler, { Resource } from 'devextreme-react/scheduler';
import { data, resourcesData } from './data.js';
const currentDate = new Date(2021, 2, 25);
const views = [
{
type: 'month',
name: 'Auto Mode',
maxAppointmentsPerCell: 'auto',
},
{
type: 'month',
name: 'Unlimited Mode',
maxAppointmentsPerCell: 'unlimited',
},
{
type: 'month',
name: 'Numeric Mode',
maxAppointmentsPerCell: 2,
},
];
const App = () => (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
views={views}
defaultCurrentView="Auto Mode"
defaultCurrentDate={currentDate}
height={730}
>
<Resource
dataSource={resourcesData}
fieldExpr="roomId"
label="Room"
icon="conferenceroomoutline"
/>
</Scheduler>
);
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
import type { SchedulerTypes } from 'devextreme-react/scheduler';
type Appointment = SchedulerTypes.Appointment & { roomId: number };
type Resource = {
text: string;
id: number;
color: string;
};
export const data: Appointment[] = [
{
text: 'Google AdWords Strategy',
roomId: 1,
startDate: new Date('2021-03-05T16:00:00.000Z'),
endDate: new Date('2021-03-05T17:30:00.000Z'),
}, {
text: 'New Brochures',
roomId: 5,
startDate: new Date('2021-03-05T18:30:00.000Z'),
endDate: new Date('2021-03-05T21:15:00.000Z'),
}, {
text: 'Brochure Design Review',
roomId: 5,
startDate: new Date('2021-03-05T20:15:00.000Z'),
endDate: new Date('2021-03-05T23:15:00.000Z'),
}, {
text: 'Website Re-Design Plan',
roomId: 5,
startDate: new Date('2021-03-05T23:45:00.000Z'),
endDate: new Date('2021-03-05T18:15:00.000Z'),
}, {
text: 'Rollout of New Website and Marketing Brochures',
roomId: 2,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T17:45:00.000Z'),
}, {
text: 'Update Sales Strategy Documents',
roomId: 3,
startDate: new Date('2021-03-09T19:00:00.000Z'),
endDate: new Date('2021-03-09T20:45:00.000Z'),
}, {
text: 'Non-Compete Agreements',
roomId: 3,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T16:00:00.000Z'),
}, {
text: 'Update NDA Agreement',
roomId: 1,
startDate: new Date('2021-03-10T18:45:00.000Z'),
endDate: new Date('2021-03-10T20:45:00.000Z'),
}, {
text: 'Update Employee Files with New NDA',
roomId: 4,
startDate: new Date('2021-03-18T21:00:00.000Z'),
endDate: new Date('2021-03-18T23:45:00.000Z'),
}, {
text: 'Submit Questions Regarding New NDA',
roomId: 4,
startDate: new Date('2021-03-18T15:00:00.000Z'),
endDate: new Date('2021-03-18T16:30:00.000Z'),
}, {
text: 'Submit Signed NDA',
roomId: 4,
startDate: new Date('2021-03-18T19:45:00.000Z'),
endDate: new Date('2021-03-18T21:00:00.000Z'),
}, {
text: 'Review Revenue Projections',
roomId: 4,
startDate: new Date('2021-03-26T00:15:00.000Z'),
endDate: new Date('2021-03-26T01:00:00.000Z'),
}, {
text: 'Comment on Revenue Projections',
roomId: 1,
startDate: new Date('2021-03-22T16:15:00.000Z'),
endDate: new Date('2021-03-22T18:15:00.000Z'),
}, {
text: 'Provide New Health Insurance Docs',
roomId: 4,
startDate: new Date('2021-03-22T19:45:00.000Z'),
endDate: new Date('2021-03-22T21:15:00.000Z'),
}, {
text: 'Review Changes to Health Insurance Coverage',
roomId: 4,
startDate: new Date('2021-03-25T21:15:00.000Z'),
endDate: new Date('2021-03-25T22:30:00.000Z'),
}, {
text: 'Review Training Course for any Omissions',
roomId: 4,
startDate: new Date('2021-03-22T21:00:00.000Z'),
endDate: new Date('2021-03-22T19:00:00.000Z'),
}, {
text: 'Recall Rebate Form',
roomId: 2,
startDate: new Date('2021-03-23T19:45:00.000Z'),
endDate: new Date('2021-03-23T20:15:00.000Z'),
}, {
text: 'Create Report on Customer Feedback',
roomId: 3,
startDate: new Date('2021-03-23T22:15:00.000Z'),
endDate: new Date('2021-03-24T00:30:00.000Z'),
}, {
text: 'Review Customer Feedback Report',
roomId: 3,
startDate: new Date('2021-03-17T23:15:00.000Z'),
endDate: new Date('2021-03-18T01:30:00.000Z'),
}, {
text: 'Customer Feedback Report Analysis',
roomId: 3,
startDate: new Date('2021-03-17T16:30:00.000Z'),
endDate: new Date('2021-03-17T17:30:00.000Z'),
}, {
text: 'Prepare Shipping Cost Analysis Report',
roomId: 3,
startDate: new Date('2021-03-23T19:30:00.000Z'),
endDate: new Date('2021-03-23T20:30:00.000Z'),
}, {
text: 'Provide Feedback on Shippers',
roomId: 3,
startDate: new Date('2021-03-23T21:15:00.000Z'),
endDate: new Date('2021-03-23T23:00:00.000Z'),
}, {
text: 'Select Preferred Shipper',
roomId: 1,
startDate: new Date('2021-03-27T00:30:00.000Z'),
endDate: new Date('2021-03-27T03:00:00.000Z'),
}, {
text: 'Complete Shipper Selection Form',
roomId: 5,
startDate: new Date('2021-03-25T15:30:00.000Z'),
endDate: new Date('2021-03-25T17:00:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
roomId: 5,
startDate: new Date('2021-03-26T19:00:00.000Z'),
endDate: new Date('2021-03-26T21:15:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
roomId: 5,
startDate: new Date('2021-03-26T21:45:00.000Z'),
endDate: new Date('2021-03-26T23:30:00.000Z'),
},
];
export const resourcesData: Resource[] = [
{
text: 'Room 401',
id: 1,
color: '#1564C0',
}, {
text: 'Room 402',
id: 2,
color: '#C2185B',
}, {
text: 'Room 403',
id: 3,
color: '#7B1FA2',
}, {
text: 'Room 407',
id: 4,
color: '#DD2C00',
}, {
text: 'Room 409',
id: 5,
color: '#2E7D32',
},
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const data = [
{
text: 'Google AdWords Strategy',
roomId: 1,
startDate: new Date('2021-03-05T16:00:00.000Z'),
endDate: new Date('2021-03-05T17:30:00.000Z'),
},
{
text: 'New Brochures',
roomId: 5,
startDate: new Date('2021-03-05T18:30:00.000Z'),
endDate: new Date('2021-03-05T21:15:00.000Z'),
},
{
text: 'Brochure Design Review',
roomId: 5,
startDate: new Date('2021-03-05T20:15:00.000Z'),
endDate: new Date('2021-03-05T23:15:00.000Z'),
},
{
text: 'Website Re-Design Plan',
roomId: 5,
startDate: new Date('2021-03-05T23:45:00.000Z'),
endDate: new Date('2021-03-05T18:15:00.000Z'),
},
{
text: 'Rollout of New Website and Marketing Brochures',
roomId: 2,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T17:45:00.000Z'),
},
{
text: 'Update Sales Strategy Documents',
roomId: 3,
startDate: new Date('2021-03-09T19:00:00.000Z'),
endDate: new Date('2021-03-09T20:45:00.000Z'),
},
{
text: 'Non-Compete Agreements',
roomId: 3,
startDate: new Date('2021-03-09T15:15:00.000Z'),
endDate: new Date('2021-03-09T16:00:00.000Z'),
},
{
text: 'Update NDA Agreement',
roomId: 1,
startDate: new Date('2021-03-10T18:45:00.000Z'),
endDate: new Date('2021-03-10T20:45:00.000Z'),
},
{
text: 'Update Employee Files with New NDA',
roomId: 4,
startDate: new Date('2021-03-18T21:00:00.000Z'),
endDate: new Date('2021-03-18T23:45:00.000Z'),
},
{
text: 'Submit Questions Regarding New NDA',
roomId: 4,
startDate: new Date('2021-03-18T15:00:00.000Z'),
endDate: new Date('2021-03-18T16:30:00.000Z'),
},
{
text: 'Submit Signed NDA',
roomId: 4,
startDate: new Date('2021-03-18T19:45:00.000Z'),
endDate: new Date('2021-03-18T21:00:00.000Z'),
},
{
text: 'Review Revenue Projections',
roomId: 4,
startDate: new Date('2021-03-26T00:15:00.000Z'),
endDate: new Date('2021-03-26T01:00:00.000Z'),
},
{
text: 'Comment on Revenue Projections',
roomId: 1,
startDate: new Date('2021-03-22T16:15:00.000Z'),
endDate: new Date('2021-03-22T18:15:00.000Z'),
},
{
text: 'Provide New Health Insurance Docs',
roomId: 4,
startDate: new Date('2021-03-22T19:45:00.000Z'),
endDate: new Date('2021-03-22T21:15:00.000Z'),
},
{
text: 'Review Changes to Health Insurance Coverage',
roomId: 4,
startDate: new Date('2021-03-25T21:15:00.000Z'),
endDate: new Date('2021-03-25T22:30:00.000Z'),
},
{
text: 'Review Training Course for any Omissions',
roomId: 4,
startDate: new Date('2021-03-22T21:00:00.000Z'),
endDate: new Date('2021-03-22T19:00:00.000Z'),
},
{
text: 'Recall Rebate Form',
roomId: 2,
startDate: new Date('2021-03-23T19:45:00.000Z'),
endDate: new Date('2021-03-23T20:15:00.000Z'),
},
{
text: 'Create Report on Customer Feedback',
roomId: 3,
startDate: new Date('2021-03-23T22:15:00.000Z'),
endDate: new Date('2021-03-24T00:30:00.000Z'),
},
{
text: 'Review Customer Feedback Report',
roomId: 3,
startDate: new Date('2021-03-17T23:15:00.000Z'),
endDate: new Date('2021-03-18T01:30:00.000Z'),
},
{
text: 'Customer Feedback Report Analysis',
roomId: 3,
startDate: new Date('2021-03-17T16:30:00.000Z'),
endDate: new Date('2021-03-17T17:30:00.000Z'),
},
{
text: 'Prepare Shipping Cost Analysis Report',
roomId: 3,
startDate: new Date('2021-03-23T19:30:00.000Z'),
endDate: new Date('2021-03-23T20:30:00.000Z'),
},
{
text: 'Provide Feedback on Shippers',
roomId: 3,
startDate: new Date('2021-03-23T21:15:00.000Z'),
endDate: new Date('2021-03-23T23:00:00.000Z'),
},
{
text: 'Select Preferred Shipper',
roomId: 1,
startDate: new Date('2021-03-27T00:30:00.000Z'),
endDate: new Date('2021-03-27T03:00:00.000Z'),
},
{
text: 'Complete Shipper Selection Form',
roomId: 5,
startDate: new Date('2021-03-25T15:30:00.000Z'),
endDate: new Date('2021-03-25T17:00:00.000Z'),
},
{
text: 'Upgrade Server Hardware',
roomId: 5,
startDate: new Date('2021-03-26T19:00:00.000Z'),
endDate: new Date('2021-03-26T21:15:00.000Z'),
},
{
text: 'Upgrade Personal Computers',
roomId: 5,
startDate: new Date('2021-03-26T21:45:00.000Z'),
endDate: new Date('2021-03-26T23:30:00.000Z'),
},
];
export const resourcesData = [
{
text: 'Room 401',
id: 1,
color: '#1564C0',
},
{
text: 'Room 402',
id: 2,
color: '#C2185B',
},
{
text: 'Room 403',
id: 3,
color: '#7B1FA2',
},
{
text: 'Room 407',
id: 4,
color: '#DD2C00',
},
{
text: 'Room 409',
id: 5,
color: '#2E7D32',
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>